Subject: Re: bug#31716: move_it_in_display_line / horizontal scrolling / tab stretch

From: Keith David Bershatsky <[email-masked]>
Date: Tue, 05 Jun 2018 21:18:27 -0700

Thank you very much, Eli, for taking the time to provide a detailed explanation regarding how MOVE_TO_X works.  I have come up with a way to programmatically deal with this particular situation when all lines are horizontally scrolled, but am still struggling with this situation when only the current line is horizontally scrolled.

When only the current line is horizontally scrolled in this particular situation, HPOS is not:

it.hpos - window_hscroll_limited (w, f);

Instead, HPOS is something like it.hpos - 1 for the fist tab and it becomes more complicated when horizontally scrolling multiple tabs.

If it okay, I would suggest/request that bug#31716 remain open for a little bit longer so that I can assemble a minimal working example dealing with horizontal scrolling of the current line when tabs exist.

Keith